%define name libcdio
%define version 0.65
%define release 3mdk

%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major 0
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion <= 900
%define libname %name%major
%else
%define libname %mklibname cdio %{major}
%endif

Name: %name
Version: %version
Release: %release
License: GPL
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: %name-%version.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
Summary: CD-ROM reading library
BuildRequires: libcddb-devel
BuildRequires: popt-devel
%if %build_vcd
BuildRequires: libvcd-devel > 0.7.19
%endif

%description 
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary: Example tool from %name
Group: Sound
Provides: libcdio0-apps
Obsoletes: libcdio0-apps
 
%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %name.

%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries
Provides: libcdio = %version-%release

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package -n %{libname}-devel
Summary: Devel files from %name
Group: Development/C
Requires: %{libname} = %version-%release
Provides: %name-devel = %version-%release 
Requires: pkgconfig
 
%description -n %{libname}-devel
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libname-static-devel 
Summary: Static Library for developing applications with %name.
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version

%build

%configure2_5x \
%if ! %build_vcd
--disable-vcd-info
%endif

%make

%install
rm -rf %buildroot
%makeinstall_std
install -m 644 ./src/*.1 %buildroot%_mandir/man1

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info libcdio.info

%preun -n %{libname}-devel 
%_remove_install_info libcdio.info

%files apps
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_bindir/*
%_mandir/man1/*.1*

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_includedir/cdio
%_infodir/libcdio.info*
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a


%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog 
* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-3mdk
- reenable vcd support

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-2mdk
- fix provides

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-1mdk
- use the mdkversion macro
- install man pages by hand
- disable vcdimager for now
- needs new vcdimager
- new version

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-3mdk
- update URL

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-2mdk
- turn libvcd support back on

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-1mdk
- add man pages
- disable vcd for this build
- add --without vcd option to allow bootstrapping
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.63-1mdk
- new version

* Sun Aug 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.62-1mdk
- add info documentation to the devel package
- new version

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.61-2mdk
- rebuild for new rpm

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- new version

* Sat May 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- enable vcd support
- fix naming of the apps package

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial package

